warning message on main page of phpmyadmin

Problems with the Linux version of XAMPP, questions, comments, and anything related.

warning message on main page of phpmyadmin

Postby oliv » 13. November 2007 23:47

Hi everyone,

I am a newbie to xampp and its components...

I get the following warning message on the main page of phpMyAdmin:

Your PHP MySQL library version 5.0.45 differs from your MySQL server version 3.23.32. This may cause unpredictable behavior.

How likely is it to "cause unpredictable behavior"? And how can I correct this?

Thanks for your help!

Install: Ubuntu 7.10, everything was installed from the main compressed file for Xampp 1.6.4, without the development package.
oliv
 
Posts: 6
Joined: 13. November 2007 23:40

Postby Wiedmann » 14. November 2007 00:07

And how can I correct this?

Use the MySQL server from XAMPP and not an other.
(or update your own server)
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby oliv » 14. November 2007 00:41

Wiedman, thanks for your answer. But as far as I can tell from several searches with aptitude / synaptic on the keywords mysql/apache/php, no other mysql server nor other components is installed beside those that came with Xampp.
However, "locate mysql" returns a bunch of files (from a previous install??) with "mysql" in their name:
- in particular, there is a /var/lib/mysql directory containing some mysql relatd stuff.

They probably come from a previous install but I am not sure I can just dump the whole dir...

Would there be some particular files to remove or to update ?

Thanks again

Oliv
oliv
 
Posts: 6
Joined: 13. November 2007 23:40

Postby Wiedmann » 14. November 2007 01:25

But as far as I can tell ... no other mysql server nor other components is installed beside those that came with Xampp.

Well, your phpMyAdmin writes:
oliv wrote:Your PHP MySQL library version 5.0.45 differs from your MySQL server version 3.23.32.

In XAMPP is no MySQL server with the version "3.23.32". In the current XAMPP 1.6.4 it is "5.0.45".

If, and which MySQL server from XAMPP is running, you can see with this program in the shell:
Code: Select all
/opt/lampp/bin/mysqladmin -u root version


With
Code: Select all
/opt/lampp/mysqladmin -u root variables | grep basedir

and
Code: Select all
mysqladmin -u root variables | grep basedir

you can also see, if MySQL from XAMPP is running.

To see which processes are running, you can use e.g. the shell command "ps".


Conclusion:
If really the MySQL server from XAMPP is running, and phpMyAdmin is still showing "MySQL server version 3.23.32", contact the phpMyAdmin project about this bug in phpMyAdmin.

If you have another MySQL server running, I can't really help you, because I don't use Linux. A support forum for your OS should be able to help you, find and stopp/deinstall this other server.
Wiedmann
AF Moderator
 
Posts: 17106
Joined: 01. February 2004 12:38
Location: Stuttgart / Germany

Postby oliv » 14. November 2007 01:35

Thanks very much Wiedman. It is indeed the mysql server from Xampp that is running and I don't have any other mysql server installed. Then it seems it is a bug in phpMyAdmin. I will drop them a line to let them know.

Thanks again for your help

Oliv
oliv
 
Posts: 6
Joined: 13. November 2007 23:40

Postby skuipers » 15. November 2007 09:09

oliv,

What does phpinfo tell you?
skuipers
 
Posts: 99
Joined: 21. January 2005 16:27
Location: The Netherlands

Postby oliv » 15. November 2007 21:01

Skuipers,

do mean what is the content of the phpmyinfo.php file?

here it is below.


*
* @version $Id: phpinfo.php 10240 2007-04-01 11:02:46Z cybot_tm $
*/

/**
* Gets core libraries and defines some variables
*/
define('PMA_MINIMUM_COMMON', true);
require_once './libraries/common.inc.php';


/**
* Displays PHP information
*/
if ($GLOBALS['cfg']['ShowPhpInfo']) {
phpinfo();
}
?>
oliv
 
Posts: 6
Joined: 13. November 2007 23:40

Postby skuipers » 17. November 2007 05:34

No, I mean something else.

Create a file with the following content in your htdocs directory:
<html>
<body>
<?php
phpinfo();
?>
</body>
</html>

and give it the filename phpinfo.php.

Now execute the command http://your_url/phpinfo.php and tell us what you see in the MySQL chapter at the "Client API version" line.
skuipers
 
Posts: 99
Joined: 21. January 2005 16:27
Location: The Netherlands

Postby oliv » 17. November 2007 08:17

Skuipers,


The "Client API version" line from phpinfo() says "5.0.45"
oliv
 
Posts: 6
Joined: 13. November 2007 23:40

Postby Scory » 17. November 2007 11:34

oliv wrote:- in particular, there is a /var/lib/mysql directory containing some mysql relatd stuff.


This is the *standard* location of mysql databases in a *standard* Linux environment, which means, that you already have a pre-installed mysql on your system.

Maybe you choose Ubuntu Server Edition, maybe you installed Ubuntu "over" an existing filesystem (without formatting), maybe you downloaded MySQL manually and installed it, or or or - you *should* know, what you are doing there.

Greets
Scory
Scory
 

Postby oliv » 21. November 2007 00:18

A mistake forced me to reinstall XAMPP. The error message mentioned before does not appear any more and libraries version now corresponds to server version (5.0.45).
Thanks all for you time and your help. Sincerely.
oliv
 
Posts: 6
Joined: 13. November 2007 23:40


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 6 guests